%define	name	XFree86-compat-libs
%define	version	4.1.0
%define	release	4mdk

Summary:	The Xv and Xxfdga shared libraries
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-4.1.0-compile.patch.bz2
URL:		http://www.xfree86.org/
License:	MIT
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	XFree86-devel bison flex gcc

%description
XFree86-compat-libs contains the shared libraries for Xv and Xxf86dga,
needed by some programs built on Mandrake Linux 8.1.

%prep
%setup -q
%patch0 -p1 -b .compile

pwd
ls -l

cat > xc/config/cf/host.def <<END
#define DefaultGcc2i386Opt	$RPM_OPT_FLAGS
#define DefaultGcc2AxpOpt       $RPM_OPT_FLAGS

#define NeedModuleRanlib	YES
#define ModuleRanlibCmd		RanlibCmd

#define HasAgpGart		YES
#define HasLdRunPath		NO
#define InstallXserverSetUID	NO
#define BuildServersOnly        NO
#define HasPam			YES
#define HasZlib			YES
#define HasFreetype2		YES
#define FreeTypeLibDir		/usr/lib
#define FreeTypeIncDir		/usr/include/freetype
#define FreeTypeLibName		ttf
#define BuildFreetype2Library   YES
#define HasBlindFaithInUnicode	YES
#define BuildFonts		YES
#define BuildCyrillicFonts	YES
#define BuildXF86MiscExt	YES
#define BuildHtmlManPages	NO
#define XVendorString		"Mandrake Linux (XFree86 %{version}, patch level %{release})"
#define UseInternalMalloc	NO
#define ForceNormalLib		YES
#define NormalLibFont		YES
#define UseXserverWrapper	YES
#define BuildXF86DRI		YES
#define BuildXF86DRM		NO
#define UseGccMakeDepend	NO
#define HasLinuxInput		YES
#define LinkGLToUsrInclude	NO
#define LinkGLToUsrLib		NO

#define SharedLibXdmGreet       NO
#define SharedLibXxf86dga       YES
#define SharedLibXv             YES

#define AdmDir 			/var/log
#define LbxproxyDir 		/etc/X11/lbxproxy
#define ProxyManagerDir 	/etc/X11/proxymngr
#define ServerConfigDir 	/etc/X11/xserver
#define XdmDir 			/etc/X11/xdm
#define XConfigDir 		/etc/X11
#define XinitDir 		/etc/X11/xinit

END

# end of %%install

%build
%make -C xc World

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std -C xc

#(peroyvind) remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_prefix}/X11R6/{bin,lib/{X11,*.a,*.so}}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_prefix}/X11R6/lib/lib*.so.*

%changelog
* Mon Jan 26 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 4.1.0-4mdk
- drop prefix tag
- spec cosmetics
- remove the rest of the unpackaged files

* Fri May 23 2003 Per yvind Karlsen <peroyvind@sintrax.net> 4.1.0-3mdk
- rebuild for rpm-4.2
- quiet setup
- macroize
- remove unpackaged files

* Sat Jan 19 2002 Stefan van der Eijk <stefan@eijk.nu> 4.1.0-2mdk
- BuildRequires

* Wed Jan 16 2002 Frederic Lepied <flepied@mandrakesoft.com> 4.1.0-1mdk
- first version
